Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.validation
Class DefaultValidationContext

    java.lang.Object
      org.springframework.webflow.validation.DefaultValidationContext

All Implemented Interfaces:
  ValidationContext

    public class DefaultValidationContext

extends java.lang.Object
implements ValidationContext

Constructor Summary
`DefaultValidationContext(RequestContext requestContext, java.lang.String eventId, MappingResults mappingResults)`

Method Summary
`MessageContext` | `getMessageContext()` A context for adding failure messages to display to the user directly.
`java.lang.String` | `getUserEvent()` The current user event that triggered validation.
`java.security.Principal` | `getUserPrincipal()` The current user.
`java.lang.Object` | `getUserValue(java.lang.String property)` Obtain the value entered by the current user in the UI field bound to the property provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultValidationContext

    public DefaultValidationContext(RequestContext requestContext,
                                    java.lang.String eventId,
                                    MappingResults mappingResults)

Method Detail

### getMessageContext

    public MessageContext getMessageContext()

  Description copied from interface: `ValidationContext`
  A context for adding failure messages to display to the user directly.

  Specified by:
    `getMessageContext` in interface `ValidationContext`

### getUserEvent

    public java.lang.String getUserEvent()

  Description copied from interface: `ValidationContext`
  The current user event that triggered validation.

  Specified by:
    `getUserEvent` in interface `ValidationContext`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Description copied from interface: `ValidationContext`
  The current user.

  Specified by:
    `getUserPrincipal` in interface `ValidationContext`

### getUserValue

    public java.lang.Object getUserValue(java.lang.String property)

  Description copied from interface: `ValidationContext`
  Obtain the value entered by the current user in the UI field bound to the property provided.

  Specified by:
    `getUserValue` in interface `ValidationContext`
  Parameters:
    `property` - the name of a bound property
  Returns:
    the value the user entered in the field bound to the property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD